## ipip 1.1.6

=== Makefile ===
#
# $Id: Makefile.Linux,v 1.2 1995/03/19 17:21:06 bdale Exp $
#
#  Makefile for the Linux port of Mike Westerhof's ipip daemon for Unix.
#
#  The following options are currently available.
#
#    AMPRONLY  - packets which do not have both source and
#                destination addresses in network 44 get dumped.
#

OPTIONS = 

CC = gcc
RM = rm -f

CFLAGS = -DLINUX -DUSE_TERMIOS -g -O2 -Wall $(OPTIONS)
LDFLAGS = 

OBJS = config.o ip.o main.o route.o run.o slip.o tun.o

all:    ipip 
ipip:   $(OBJS) 
	$(CC) $(LDFLAGS) $(CFLAGS) -o ipip $(OBJS)

clean:	
	$(RM) *.o ipip

config.o : config.c ipip.h 
ip.o : ip.c ipip.h 
main.o : main.c ipip.h version.h 
route.o : route.c ipip.h 
run.o : run.c ipip.h 
slip.o : slip.c ipip.h 
tun.o : tun.c ipip.h

## ipip 1.1.0

=== debian/changelog ===
ipip (1.1.0) unstable; urgency=low

  * as the "upstream maintainer", I'm choosing to eliminate the illusion of an
    upstream release, and am packaging this as a "made for Debian" package.
    It is, of course, still completely reasonable for the source to be 
    unpacked and built on non-Debian, and even non-Linux systems.  
  * integrating changes from Ron Luse KD9KX
    - HUP signal is now honored more than once
    - routes now matches on a most-specific basis, not first-match basis,
      so config file route order is no longer important
    - fixed ugly death when ip_send got host unreachable errors
  * add an init.d script to launch the daemon

 -- Bdale Garbee <bdale@gag.com>  Wed, 28 Oct 1998 17:55:45 -0700

ipip (1.0-1) unstable; urgency=low

  * initial ipip package for Debian
  * significant cleanup since last pre-Debian release in 1995

 -- Bdale Garbee <bdale@gag.com>  Wed, 21 Jan 1998 11:16:45 -0700


  Pre-Debian History:

	0.0.12.bdale.4
		add code to log pid at invocation, so that log rotation can 
		easily include a daemon restart

	0.0.12.bdale.3.3
		ugly hack to turn off connectivity to all but net-44 if
		AMPRONLY is defined.

	0.0.12.bdale.3.2
		seems to work fine now on BSDI BSD/386.  a couple of tweaks
		to fix crashes lead to the '.2'

	0.0.12.bdale.3
		working on switching to use of syslog() for error/warning
		outputs.  shorten the version string to just be my suffix.

	0.0.12.bdale.2
		fixed a bunch of BSDI'isms... including modem control on a 
		serial port during open.  At this point, it routes on the IP
		side just fine, but the slip link still doesn't quite work...

	0.0.12.bdale.1
		remove a reference to malloc.h in slip.c when compiled under
		BSDI's BSD/386

	0.0.12.bdale.0
		disabled the code that prevents packets from going back out
		the same interface.  need to use same interface to bounce
		frames to/from other HP closed subnet hosts using my open
		subnet machine as a router...  this if BDALE defined.

	0.0.12	added an fflush(stdout) to the run loop.  Nice to be able
		to see what trace is putting out!

	0.0.11	progname prefix on messages is optional now; use the "-np"
		(noprefix) flag to turn it off.
		There are time-stamp on certain messages now; the "-nt"
		(notimestamp) flag turns off timestamps on the stats lines.
		The stats are a single line per interface now.
		Moved the NO_STRTOUL ugliness to the ipip.h file.  The default
		is to try for strtoul unless the symbol "sun" is defined.
		Fixed zero-length packets from the slip interface problem.

	0.0.10	added the statistics reporting stuff.

	0.0.9	added a very basic martian filter in hopes of catching
		very obvious network problems.  Added debug output while
		opening the interfaces.

	0.0.8	fixed the network mask comparison -- gotta make sure we
		convert the mask to network byte order!

	0.0.7	command line is handled better; -d and -t options separated.
		Support for SIGTERM and SIGINT -- print a message upon
		catching these.  Re-wrote the Makefile.

	0.0.6	Improved and generalized the error handling code for the
		drivers, and ensured all messages are preceeded by the
		program name (nice when running in the background!)

	0.0.5	Make sure we can deal with the EINTR error code (so we can
		handle a SIGHUP).

	0.0.4	linted, added flag so that we can handle multiple slip
		packets in a single burst.

	0.0.3	Rewrite the config and route readers.  Better error handling
		and more flexible.

	0.0.2	Move the routines to open, read, send on an interface into
		the interface structure.  This simplifies many loops.

	0.0.1	Initial sort of functional version.  (sent to bdale@gag.com)

	0.0.0	Development begins (4 Dec 91)


Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ipip
Section: net
Priority: extra
Maintainer: Bdale Garbee <bdale@gag.com>
Standards-Version: 2.4.0.0

Package: ipip
Architecture: any
Depends: ${shlibs:Depends}
Description: IP over IP Encapsulation Daemon
 This daemon provides an alternative to the kernel-resident support for IP
 encapsulation links.  It is better suited for situations where there are many
 encapsulation connections to be managed, such as is the case for amateur
 radio interconnection of network 44.  Also, because the daemon is outside the
 kernel, it provides an excellant environment for experimenting with alternate
 mechanisms for distributing encapsulation routing updates.
 .
 If you need one encapsulation link, use the kernel's built-in support.  If
 you need a lot of encapsulation links, give this daemon a try.

=== debian/rules ===
#!/usr/bin/make -f
# rules file for the ipip package, requires debhelper
# copyright 1998 by Bdale Garbee, distributed under the terms of the GPL

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cp ipip debian/tmp/usr/sbin
	cp debian/ipip.config debian/tmp/etc/ipip/config
	cp debian/ipip.routes debian/tmp/etc/ipip/routes

	dh_installdocs
	dh_installexamples samples/*
	dh_installmenu
	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_du
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## ipip 1.1.4

=== debian/changelog ===
ipip (1.1.4) unstable; urgency=low

  * update to latest standards revision, add Build-Depends

 -- Bdale Garbee <bdale@gag.com>  Fri,  7 Jan 2000 02:41:59 -0700

ipip (1.1.3) unstable; urgency=low

  * lose the call to dh_du, closes: #51486

 -- Bdale Garbee <bdale@gag.com>  Mon, 29 Nov 1999 00:20:28 -0700

ipip (1.1.2) unstable; urgency=low

  * fix a couple of obvious textual errors in the man page.  It still isn't
    much of a man page, though!

 -- Bdale Garbee <bdale@gag.com>  Fri,  3 Sep 1999 09:24:04 -0600

ipip (1.1.1) unstable; urgency=low

  * fix typo in man page, closes 35144
  * fix spelling error in control file pointed out by lintian

 -- Bdale Garbee <bdale@gag.com>  Sun, 30 May 1999 23:28:21 -0600

ipip (1.1.0) frozen unstable; urgency=low

  * as the "upstream maintainer", I'm choosing to eliminate the illusion of an
    upstream release, and am packaging this as a "made for Debian" package.
    It is, of course, still completely reasonable for the source to be 
    unpacked and built on non-Debian, and even non-Linux systems.  
  * integrating changes from Ron Luse KD9KX
    - HUP signal is now honored more than once
    - routes now matches on a most-specific basis, not first-match basis,
      so config file route order is no longer important
    - fixed ugly death when ip_send got host unreachable errors
  * add an init.d script to launch the daemon
  * fix several lintian errors and warnings

 -- Bdale Garbee <bdale@gag.com>  Wed, 28 Oct 1998 17:55:45 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 Priority: extra
 Maintainer: Bdale Garbee <bdale@gag.com>
-Standards-Version: 2.4.0.0
+Build-Depends: debhelper
+Standards-Version: 3.1.1.1
 
 Package: ipip
 Architecture: any
@@ -12,7 +13,7 @@
  encapsulation links.  It is better suited for situations where there are many
  encapsulation connections to be managed, such as is the case for amateur
  radio interconnection of network 44.  Also, because the daemon is outside the
- kernel, it provides an excellant environment for experimenting with alternate
+ kernel, it provides an excellent environment for experimenting with alternate
  mechanisms for distributing encapsulation routing updates.
  .
  If you need one encapsulation link, use the kernel's built-in support.  If

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,6 @@
 	dh_shlibdeps
 	dh_gencontrol
 #	dh_makeshlibs
-	dh_du
 	dh_md5sums
 	dh_builddeb

## ipip 1.1.5

=== debian/changelog ===
ipip (1.1.5) unstable; urgency=low

  * apply patch to build well on new architectures with newer toolchains, 
    closes: #105520, #105526
  * remove the dh_suidregister call that's obsolete from debian/rules

 -- Bdale Garbee <bdale@gag.com>  Mon, 16 Jul 2001 12:14:53 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Bdale Garbee <bdale@gag.com>
 Build-Depends: debhelper
-Standards-Version: 3.1.1.1
+Standards-Version: 3.5.0.0
 
 Package: ipip
 Architecture: any

## ipip 1.1.6

=== debian/changelog ===
ipip (1.1.6) unstable; urgency=low

  * rebuild to reflect policy changes noted by lintian

 -- Bdale Garbee <bdale@gag.com>  Sun, 29 Dec 2002 14:24:50 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Bdale Garbee <bdale@gag.com>
 Build-Depends: debhelper
-Standards-Version: 3.5.0.0
+Standards-Version: 3.5.8.0
 
 Package: ipip
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,6 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## ipip 1.1.8

=== debian/changelog ===
ipip (1.1.8) unstable; urgency=low

  * clean up the init script short description

 -- Bdale Garbee <bdale@gag.com>  Tue, 15 Apr 2008 14:11:27 -0600

ipip (1.1.7) unstable; urgency=low

  * add LSB formatted dependency info in init.d script, thanks Petter!
    closes: #460055
  * update packaging to reflect over 5 years of Debian policy changes...

 -- Bdale Garbee <bdale@gag.com>  Thu, 10 Jan 2008 09:26:58 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Bdale Garbee <bdale@gag.com>
 Build-Depends: debhelper
-Standards-Version: 3.5.8.0
+Standards-Version: 3.7.3
 
 Package: ipip
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# rules file for the ipip package, requires debhelper
# copyright 1998 by Bdale Garbee, distributed under the terms of the GPL

# export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cp ipip debian/ipip/usr/sbin
	cp debian/ipip.config debian/ipip/etc/ipip/config
	cp debian/ipip.routes debian/ipip/etc/ipip/routes

	dh_installdocs
	dh_installexamples samples/*
	dh_installmenu
	dh_installinit
	dh_installcron
	dh_installman ipip.1
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## ipip 1.1.9

=== debian/changelog ===
ipip (1.1.9) unstable; urgency=low

  * add Vcs entries to the control file
  * move gbp.conf to .git/
  * turn on hardening build flags
  * make lintian happier

 -- Bdale Garbee <bdale@gag.com>  Fri, 29 Jun 2012 08:11:42 -0600

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: net
 Priority: extra
 Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper
-Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.3
+Vcs-Git: git://git.gag.com/debian/ipip
+Vcs-Browser: http://git.gag.com/?p=debian/ipip
 
 Package: ipip
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: IP over IP Encapsulation Daemon
  This daemon provides an alternative to the kernel-resident support for IP
  encapsulation links.  It is better suited for situations where there are many

## ipip 1.1.9build1

=== debian/changelog ===
ipip (1.1.9build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:29:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ipip
 Section: net
 Priority: extra
-Maintainer: Bdale Garbee <bdale@gag.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.3
 Vcs-Git: git://git.gag.com/debian/ipip

=== debian/rules ===
#!/usr/bin/make -f
# rules file for the ipip package, requires debhelper / dh
# copyright 1998,2012 by Bdale Garbee, GPLv2 or later

export DH_VERBOSE=1

%:
	dh $@

## ipip 1.1.10

=== debian/changelog ===
ipip (1.1.10) unstable; urgency=medium

  * resolve GCC 10 build issues, closes: #957368
  * bring up to current debhelper version, Debian standards

 -- Bdale Garbee <bdale@gag.com>  Wed, 05 Aug 2020 13:46:13 -0600

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: ipip
 Section: net
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Priority: optional
+Maintainer: Bdale Garbee <bdale@gag.com>
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.5.0
 Vcs-Git: git://git.gag.com/debian/ipip
-Vcs-Browser: http://git.gag.com/?p=debian/ipip
+Vcs-Browser: https://git.gag.com/?p=debian/ipip
 
 Package: ipip
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
 Description: IP over IP Encapsulation Daemon
  This daemon provides an alternative to the kernel-resident support for IP
  encapsulation links.  It is better suited for situations where there are many

## ipip 1.1.11

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,6 @@
 RM = rm -f
 
 CFLAGS = -DLINUX -DUSE_TERMIOS -g -O2 -Wall $(OPTIONS)
-LDFLAGS = 
 
 OBJS = config.o ip.o main.o route.o run.o slip.o tun.o

=== debian/changelog ===
ipip (1.1.11) unstable; urgency=medium

  * update man page to point to /usr/share/doc instead of /usr/doc

 -- Bdale Garbee <bdale@gag.com>  Fri, 24 Feb 2023 05:30:49 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: ipip
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: IP over IP Encapsulation Daemon
  This daemon provides an alternative to the kernel-resident support for IP
  encapsulation links.  It is better suited for situations where there are many

## ipip 1.1.13

=== debian/changelog ===
ipip (1.1.13) unstable; urgency=medium

  * move repository to salsa.debian.org

 -- Bdale Garbee <bdale@gag.com>  Sat, 04 Jan 2025 14:02:50 -0700

ipip (1.1.12) unstable; urgency=medium

  * update README file, and deliver to /usr/share/doc, closes: #17803

 -- Bdale Garbee <bdale@gag.com>  Wed, 18 Dec 2024 13:03:10 -0700

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.5.0
-Vcs-Git: git://git.gag.com/debian/ipip
-Vcs-Browser: https://git.gag.com/?p=debian/ipip
+Build-Depends: debhelper (>= 13)
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/debian/ipip.git
+Vcs-Browser: https://salsa.debian.org/debian/ipip
 
 Package: ipip
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: IP over IP Encapsulation Daemon
  This daemon provides an alternative to the kernel-resident support for IP
